--
--	Merge Souls
--		Evenly divides health and mana	
--

------------------------------------------------
--
-- CastSpell
--
--    Called to actually perform a
--    spell's effects
--
local function CastSpell(idxCaster)

	HANDLE_SPELL_COST(idxCaster);

	--Effect
	local idxEnemy = GET_ENEMY(idxCaster, 0);
	local life = GET_LIFE(idxCaster) + GET_LIFE(idxEnemy);
	life = life/2;
	if (GET_LIFE(idxEnemy) < life) then
		Std_Healing(life - GET_LIFE(idxEnemy), idxEnemy);
		Std_InflictDamage(GET_LIFE(idxCaster) - life, idxEnemy);
	else
		Std_Healing(life - GET_LIFE(idxCaster), idxCaster);
		Std_InflictDamage(GET_LIFE(idxEnemy) - life, idxCaster);
	end

	local mana = GET_MANA_AIR(idxEnemy) + GET_MANA_AIR(idxCaster);
	mana = mana / 2;
	SET_MANA_AIR(idxCaster, mana);
	SET_MANA_AIR(idxEnemy, mana);

	local mana = GET_MANA_EARTH(idxEnemy) + GET_MANA_EARTH(idxCaster);
	mana = mana / 2;
	SET_MANA_EARTH(idxCaster, mana);
	SET_MANA_EARTH(idxEnemy, mana);

	local mana = GET_MANA_FIRE(idxEnemy) + GET_MANA_FIRE(idxCaster);
	mana = mana / 2;
	SET_MANA_FIRE(idxCaster, mana);
	SET_MANA_FIRE(idxEnemy, mana);

	local mana = GET_MANA_WATER(idxEnemy) + GET_MANA_WATER(idxCaster);
	mana = mana / 2;
	SET_MANA_WATER(idxCaster, mana);
	SET_MANA_WATER(idxEnemy, mana);
	
end


------------------------------------------------
--
-- ShouldAICastSpell
--
--    Evaluates whether an AI should cast a spell
--    Returns 1 if it should, 0 if it should not
--
local function ShouldAICastSpell(idxCaster)
	
	return Std_AISpellcastingChance(0);
end


------------------------------------------------
--
-- IsCastSpellLegal
--
--    Called to check if a spell may be cast
--    Returns 1 if it can, 0 if it cannot
--
local function IsCastSpellLegal(idxCaster)

   return 1;
end


--
--     DECLARE TABLE
--
SMRG = {
   CastSpell = CastSpell,
   ShouldAICastSpell = ShouldAICastSpell,
   IsCastSpellLegal = IsCastSpellLegal,
};







