--
--	Seal
--		Closes all portals, each player gains 5 random mana for each portal on them	
--

------------------------------------------------
--
-- CastSpell
--
--    Called to actually perform a
--    spell's effects
--
local function CastSpell(idxCaster)

	local idx = idxCaster;
	local i;
	
	for i=0,1 do

		if (i == 1) then
			idx = GET_ENEMY(idxCaster, 0);
		end

		local count = GET_NUM_STATUS_EFFECTS(idx) - 1;
		local effectCounter;
		for effectCounter = 0,count do
			local name = GET_STATUS_EFFECT_ON_PLAYER(idx, effectCounter);
			if (name == "EFRP" or name == "EABP" or name == "EDMP") then
			
				SET_STATUS_EFFECT_DURATION(idx, effectCounter, 1);
				local type = GET_RANDOM_SYNC(MANA_GREEN, MANA_BLUE);
				if (type == MANA_GREEN) then
					ADD_MANA_EARTH(idx, 5);
				elseif (type == MANA_YELLOW) then
					ADD_MANA_AIR(idx, 5);
				elseif (type == MANA_RED) then
					ADD_MANA_FIRE(idx, 5);
				elseif (type == MANA_BLUE) then
					ADD_MANA_WATER(idx, 5);
				end
			end
		end
	end
end


------------------------------------------------
--
-- ShouldAICastSpell
--
--    Evaluates whether an AI should cast a spell
--    Returns 1 if it should, 0 if it should not
--
local function ShouldAICastSpell(idxCaster)
	
	return Std_AISpellcastingChance(0);
end


------------------------------------------------
--
-- IsCastSpellLegal
--
--    Called to check if a spell may be cast
--    Returns 1 if it can, 0 if it cannot
--
local function IsCastSpellLegal(idxCaster)

   return 1;
end


--
--     DECLARE TABLE
--
SSEA = {
   CastSpell = CastSpell,
   ShouldAICastSpell = ShouldAICastSpell,
   IsCastSpellLegal = IsCastSpellLegal,
};







