--
--	Chittering Abomination
--		Destroys a random 2x2 square whenever you match 4 or 5
--


local function DestroyGems()

	SetMultiplierEffects(0);
	local x,y = GetRandomGrid();
	local x1,y1;
	for y1 = y,y+1 do
		for x1 = x,x+1 do
			if (x1 <= 8 and y1 <= 8 and GET_GEM(x1,y1) ~= GEM_EMPTY) then
				DESTROY_GEM(x1,y1);
			end
		end
	end
	SetMultiplierEffects(1);
end

------------------------------------------------
--
-- OnMatch4
--
--    Called whenever a character matches 4
--    gems (and receives an extra turn)
--
local function OnMatch4(characterIdx)
	DestroyGems();
end


------------------------------------------------
--
-- OnMatch5
--
--    Called whenever a character matches 5
--    gems (and receives an extra turn + wildcard)
--
local function OnMatch5(characterIdx)
	DestroyGems();
end

--	
--		DECLARE TABLE	
--

Abomination = {
	OnMatch4 = OnMatch4,
	OnMatch5 = OnMatch5,
};

